Quick start
Install AI tools
Our plugin gives your assistant up-to-date guidance for payments and login. Full instructions
- Claude Code
- Cursor
- Codex
- Any editor
Run both commands, in order.
claude plugin marketplace add vippsas/agent-toolkit
claude plugin install vipps@agent-toolkit
Open Settings, then Plugins.
Add vippsas/agent-toolkit as a plugin marketplace, then install the "vipps" plugin.
See the Codex plugin docs at developers.openai.com/codex.
Add vippsas/agent-toolkit as a plugin marketplace, then install the "vipps" plugin.
No plugin needed. Paste this into your assistant.
Read https://developer.vippsmobilepay.com/llms.txt for the Vipps MobilePay developer documentation.
Before you begin​
[TODO: State any environment limitations, e.g. "The Wallet API is not available in the test environment."]
Be aware that the API requests mentioned here are running on the production server, https://api.vipps.no.
To reduce the risk of exposure, never store production API keys in Postman or any similar tools.
Adding things to the wallet​
Step 1 - Setup​
You must have already signed up as an organization with Vipps MobilePay.
Get these API key values:
client_id- Client ID for a sales unit.client_secret- Client secret for a sales unit.
The example values in this guide must be replaced with the values for your sales unit and user. This applies to API keys, HTTP headers, references, and similar values.
Step 2 - Get an access token​
All the API endpoints require that you first obtain an API token.
Step 3 - [TODO: First API call]​
[TODO: Describe what this step achieves and any required parameters.]
curl -X GET "https://api.vipps.no/your-api-name/v1/[TODO: resource]" \
-H "Authorization: Bearer YOUR-ACCESS-TOKEN" \
-H "Ocp-Apim-Subscription-Key: YOUR-SUBSCRIPTION-KEY"
Step 4 - [TODO: Next API call]​
[TODO: Describe what this step achieves and any required parameters.]
curl -X GET "https://api.vipps.no/your-api-name/v1/[TODO: resource]" \
-H "Authorization: Bearer YOUR-ACCESS-TOKEN" \
-H "Ocp-Apim-Subscription-Key: YOUR-SUBSCRIPTION-KEY"